# Uses of Interface
org.eclipse.team.ui.history.IHistoryPageSite

Packages that use IHistoryPageSite
Package
Description
org.eclipse.team.ui.history
Application programming interfaces for working with history.

## Uses of IHistoryPageSite in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history that return IHistoryPageSite
Modifier and Type
Method
Description
`IHistoryPageSite`
HistoryPage.`getHistoryPageSite()`
`IHistoryPageSite`
IHistoryPage.`getHistoryPageSite()`
Returns the `IHistoryPageSite` set for this page.
Methods in org.eclipse.team.ui.history with parameters of type IHistoryPageSite
Modifier and Type
Method
Description
`void`
HistoryPage.`setSite(IHistoryPageSite site)`
`void`
IHistoryPage.`setSite(IHistoryPageSite site)`
Set the site for the page - this needs to be replaced with a proper `IHistoryPageSite` in order to allow history pages to be displayed in both views and dialogs.